package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MerLedgerStatusEnum
 * @author: HuRui
 * @date: 2023/4/18
 **/
public enum MerLedgerReceiverApplyStatusEnum {
    status0(0, "不可用"),
    status1(1, "审核中"),
    status2(2, "通过"),
    status3(3, "驳回"),
    ;

    private Integer number;

    private String name;


    MerLedgerReceiverApplyStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerLedgerReceiverApplyStatusEnum getDataByNumber(Integer number) {
        for (MerLedgerReceiverApplyStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
